FORUMS: list search recent posts

FCP5 to install on snow leopard

COW Forums : Apple Final Cut Pro Legacy

<< PREVIOUS   •   FAQ   •   VIEW ALL   •   PRINT   •   NEXT >>
Yan Su
FCP5 to install on snow leopard
on Dec 9, 2009 at 7:13:56 pm

I'm researching on getting a new Macbook Pro with Snow Leopard because my old one running Tiger won't take the latest Final Cut Pro 7.0 upgrade. I have the original Final Cut Studio 5.0 and wonder if I might run into compatibility issue with installing it onto the new Snow Leopard. Has anyone successfully installed FCP5.0 on snow leopard?

Thanks!


Return to posts index

Arnie Schlissel
Re: FCP5 to install on snow leopard
on Dec 9, 2009 at 11:30:49 pm

FCP 5.0 will not run on an Intel Mac. You'd need to use at least 5.1, which is no longer available. If you're going to upgrade, you might as well buy the new version of FCP.

Arnie

Post production is not an afterthought!
http://www.arniepix.com/


Return to posts index

Yan Su
Re: FCP5 to install on snow leopard
on Dec 10, 2009 at 12:03:16 am


I double checked the version again and it's actually Final Cut Pro 5.1 bundled together in Final Cut Studio 5.0. I've already bought the FCP7 upgrade, but not the full version.

Thanks again


Return to posts index


Dennis Leppell
Re: FCP5 to install on snow leopard
on Dec 10, 2009 at 4:00:56 pm

The upgrade IS a full version. It just requires a previous serial # to be input during installation. For the love of God, don't install 5.1, then install 7 on top of it. Start clean, install 7, and enter the old serial # when asked.



Return to posts index

Yan Su
Re: FCP5 to install on snow leopard
on Dec 11, 2009 at 8:41:42 pm


Glad to know that, thanks


Return to posts index

<< PREVIOUS   •   VIEW ALL   •   PRINT   •   NEXT >>
© 2017 CreativeCOW.net All Rights Reserved
[TOP]